Update Review
curl --request PUT \
--url https://api.swoogo.com/api/v1/cfs-reviews/update/{review_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'notes=An updated note!' \
--data rating=5.00import requests
url = "https://api.swoogo.com/api/v1/cfs-reviews/update/{review_id}"
payload = {
"notes": "An updated note!",
"rating": "5.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({notes: 'An updated note!', rating: '5.00'})
};
fetch('https://api.swoogo.com/api/v1/cfs-reviews/update/{review_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Reviews
Update Review
Updates an existing submission review by its ID. You can modify the score, feedback comments, and reviewer details.
PUT
/
cfs-reviews
/
update
/
{review_id}
Update Review
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Path Parameters
integer - required - The ID of the review you want to delete
Example:
1
Body
application/x-www-form-urlencoded
Response
⌘I